For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
      • GETGet delivery notes
      • POSTCreate a delivery note
      • GETGet a delivery note by ID
      • DELDelete a delivery note
      • PATCHUpdate a delivery note
      • POSTCancel a delivery note
      • POSTMark a delivery note as delivered
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts receivableDelivery notes

Create a delivery note

POST
/delivery_notes
POST
/v1/delivery_notes
$curl -X POST https://api.sandbox.monite.com/v1/delivery_notes \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "counterpart_address_id": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
> "counterpart_id": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
> "delivery_date": "2025-01-01",
> "delivery_number": "102-2025-0987",
> "display_signature_placeholder": true,
> "line_items": [
> {
> "product_id": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
> "quantity": 10
> },
> {
> "product": {
> "description": "Description of product 2",
> "measure_unit": {
> "description": "pieces",
> "name": "pcs"
> },
> "name": "Product 2"
> },
> "quantity": 20
> }
> ],
> "memo": "This is a memo"
>}'
1{
2 "id": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
3 "created_at": "2022-01-01T00:00:00Z",
4 "updated_at": "2022-01-01T00:00:00Z",
5 "counterpart": {
6 "id": "id",
7 "individual": {
8 "first_name": "Adnan",
9 "is_customer": true,
10 "is_vendor": true,
11 "last_name": "Singh",
12 "email": "asingh@example.net",
13 "phone": "5553211234",
14 "tags": [
15 {
16 "id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
17 "created_at": "2022-09-07T16:35:18Z",
18 "updated_at": "2022-09-07T16:35:18Z",
19 "name": "Marketing",
20 "category": "document_type",
21 "created_by_entity_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
22 "description": "Tag for the Marketing Department"
23 }
24 ],
25 "title": "Mr."
26 },
27 "language": "ab",
28 "organization": {
29 "is_customer": true,
30 "is_vendor": true,
31 "legal_name": "Acme Inc.",
32 "email": "acme@example.com",
33 "phone": "5551231234",
34 "tags": [
35 {
36 "id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
37 "created_at": "2022-09-07T16:35:18Z",
38 "updated_at": "2022-09-07T16:35:18Z",
39 "name": "Marketing",
40 "category": "document_type",
41 "created_by_entity_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
42 "description": "Tag for the Marketing Department"
43 }
44 ]
45 }
46 },
47 "counterpart_address": {
48 "city": "Counterpart City",
49 "country": "DE",
50 "line1": "Counterpart Street",
51 "postal_code": "123009",
52 "line2": "line2",
53 "state": "state"
54 },
55 "counterpart_id": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
56 "display_signature_placeholder": true,
57 "document_id": "DN-2022-01-01-0001",
58 "entity": {
59 "type": "organization",
60 "name": "name",
61 "email": "email",
62 "logo": "logo",
63 "phone": "phone",
64 "registration_authority": "registration_authority",
65 "registration_number": "registration_number",
66 "tax_id": "tax_id",
67 "vat_id": "vat_id",
68 "website": "website"
69 },
70 "entity_address": {
71 "city": "Entity City",
72 "line1": "Entity Street",
73 "postal_code": "123009",
74 "country": "DE",
75 "line2": "line2",
76 "state": "state"
77 },
78 "entity_id": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
79 "file_language": "en",
80 "line_items": [
81 {
82 "product": {
83 "name": "Product Name",
84 "description": "Description of product",
85 "measure_unit": {
86 "name": "pcs",
87 "description": "Pieces"
88 }
89 },
90 "quantity": 20
91 }
92 ],
93 "original_file_language": "de",
94 "status": "created",
95 "based_on": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
96 "based_on_document_id": "IN-2022-01-01-0001",
97 "created_by_entity_user_id": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
98 "delivery_date": "2022-01-01",
99 "delivery_number": "102-2022-0987",
100 "file_url": "https://example.com/delivery_note.pdf",
101 "memo": "This is a memo",
102 "original_file_url": "https://example.com/delivery_note_original.pdf"
103}
Was this page helpful?
Previous

Get a delivery note by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
objectRequired
OR
objectRequired

Response

Successful Response
idstringformat: "uuid"
Unique ID of the delivery note
created_atdatetime
Time at which the delivery note was created. Timestamps follow the ISO 8601 standard.
updated_atdatetime
Time at which the delivery note was last updated. Timestamps follow the ISO 8601 standard.
counterpartobject
Counterpart of the delivery note
counterpart_addressobject
Address of the counterpart
counterpart_idstringformat: "uuid"
ID of the counterpart
display_signature_placeholderboolean
Whether to display a signature placeholder in the generated PDF
document_idstring
Document ID of the delivery note
entityobject
Entity that created the delivery note
entity_addressobject
Address of the entity that created the delivery note
entity_idstringformat: "uuid"
ID of the entity that created the delivery note
file_languageenum

The language of the customer-facing PDF file (file_url). The value matches the counterpart’s language at the time when this PDF file was generated.

line_itemslist of objects
List of line items in the delivery note
original_file_languageenum

The language of the entity’s copy of the PDF file (original_file_url). The value matches the entity’s language at the time when this PDF file was generated.

statusenum
Status of the delivery note
Allowed values:
based_onstringformat: "uuid"
The unique ID of a previous document related to the delivery note if applicable.
based_on_document_idstring
The unique document ID of a previous document related to the delivery note if applicable.
created_by_entity_user_idstringformat: "uuid"
ID of the user that created the delivery note
delivery_datestringformat: "date"
Date of delivery
delivery_numberstring
Delivery number
file_urlstring

The delivery note’s PDF URL in the customer-facing language.

memostring
Additional information regarding the delivery note
original_file_urlstring
The delivery note's PDF URL in the entity's language.

Errors

400
Post Delivery Notes Request Bad Request Error
401
Post Delivery Notes Request Unauthorized Error
403
Post Delivery Notes Request Forbidden Error
404
Post Delivery Notes Request Not Found Error
409
Post Delivery Notes Request Conflict Error
422
Post Delivery Notes Request Unprocessable Entity Error
500
Post Delivery Notes Request Internal Server Error